Request
Endpoint: !GetMDCDomainDetails
https://secure.trust-provider.com/products/!GetMDCDomainDetails
Use the POST method for this endpoint.
Submit parameters in the x-www-form-urlencoded format.
Request parameters
The following table displays the required, optional, and conditional parameters.
| Parameter | Requirement | Type | Max.Length | Description |
|---|---|---|---|---|
|
required |
string |
64 chars |
Your account username. This value is case sensitive. |
|
required |
string |
128 chars |
Your account password. This value is case sensitive. |
|
required |
integer |
The multi-domain certificate order number that is awaiting validation. |
|
|
optional |
char |
1 char |
Specifies the format of the returned certificate data. The allowed values are:
|
|
optional |
integer |
Specifies the format of the response. The allowed values are:
If omitted, the value defaults to |
Sample request
curl --location 'https://secure.trust-provider.com/products/!GetMDCDomainDetails' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'loginName=login_name' \
--data-urlencode 'loginPassword=login_password' \
--data-urlencode 'orderNumber=1234567' \
--data-urlencode 'showStatusDetails=Y' \
--data-urlencode 'responseFormat=2'
Response
The request is successful when the server returns a response with the status code equals 0.
Any status code less than 0 indicates an error condition.
|
The list of codes and their descriptions can be found in Error codes. |
The MIME type depends on the responseFormat parameter:
-
1—application/x-www-form-urlencoded(default) -
2—application/json
Response parameters
The following table describes the parameters included in a response.
| Parameter | Type | Description |
|---|---|---|
|
integer |
A numeric code that identifies the type of error. For more details, see Error codes. |
|
string |
The explanation of the error. |
|
string |
A fully qualified domain name or IP address. |
|
string |
A description of the current DCV method. |
|
string |
A description of the DCV status. |
|
integer |
The CSR status of the certificate if The possible values are:
|
|
integer |
The DCV status of the certificate if The possible values are:
|
|
integer |
The OV callback status of the account if The possible values are:
|
|
integer |
An integer describing the current status of account validation (OV) if The possible values are:
|
|
integer |
The status of free DV upgrade if The possible values are:
|
|
integer |
The status of EV ClickThrough Acceptance if The possible values are:
|
|
integer |
The EV legal existence status if |
|
integer |
The EV assumed name status if |
|
integer |
The EV physical existence status if |
|
integer |
The EV operational existence status if |
|
integer |
The EV signer/approver/requester validation status if |
|
integer |
The EV second approval status if |
|
The |
Sample success response
errorCode=0&1_domainName=123456789012345678901wuuu.tk&[email protected]&1_dcvStatus=Validated&2_domainName=123578901234578901wuuu.tk&[email protected]&2_dcvStatus=Validated&3_domainName=test.com&[email protected]&3_dcvStatus=Validated&csrStatus=1&dcvStatusCode=1&freeDVUPStatus=-1&ovCallBackStatus=-1&organizationValidationStatus=2&evClickThroughStatus=1&evLegalExistence=0&evAssumedName=-1&evPhysicalExistence=0&evOperationalExistence=0&evSignerApproverRequester=0&evSignerSecondApproval=0
Sample error responses
errorCode=0&
1_domainName=example.com&
[email protected]&
1_dcvStatus=Validated&
2_domainName=www.example.com&
2_dcvMethod=CNAME_CSR_HASH&
2_dcvStatus=In+progress&
csrStatus=1&
dcvStatusCode=2&
ovCallBackStatus=-1&
organizationValidationStatus=1&
freeDVUPStatus=-1&
evClickThroughStatus=0&
evLegalExistence=0&
evAssumedName=0&
evPhysicalExistence=0&
evOperationalExistence=0&
evSignerApproverRequester=0&
evSignerSecondApproval=0
{
"error": {
"code": -16,
"description": "Incorrect login details, account is locked, password has expired or your source IP is blocked.",
"item": "loginName"
}
}
``
Error codes
The following table outlines error responses returned by the GetMDCDomainDetails API endpoint.
Each error response consists of an errorCode and an errorMessage indicating why the request failed.
| Error Code | Error Message | Description |
|---|---|---|
|
|
The request must use HTTPS protocol. |
|
|
The provided argument is not recognized. |
|
|
The required argument is missing from the request. |
|
|
The argument value does not meet validation requirements. |
|
|
An unknown error occurred. |
|
|
The user doesn’t have the permission to perform the specified action. |
|
|
The request method should be |